View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteapplication/json
application/json
application/json
application/json
curl -X GET "https://example.com/wallets/8ef02857-a71e-4ea2-bcf9-57d3a41bc6ba/wallet-transactions"{ "wallet_transactions": [ { "wallet_transaction_id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "payment_status": "SETTLED", "source": "MANUAL", "transaction_status": "PURCHASED", "transaction_type": "INBOUND", "amount": { "value": 120.35, "currency_code": "USD" }, "credits": "100.0", "settled_at": "2022-04-29T08:59:51Z", "failed_at": "2022-04-29T08:59:51Z", "created_at": "2022-04-29T08:59:51Z", "metadata": [ { "key": "reason", "value": "balance depleted" } ] } ], "meta": { "total_count": 0, "total_pages": 0, "current_page": 0, "next_page": 3, "prev_page": 1 }}